#!/bin/sh
# Use: ./mklsm.sh version archive.tar.gz
bytes=`ls -l $2 | tr -s ' ' | cut -f5 -d' '`
size=`expr $bytes \/ 1024`
case `date +%m` in
01) month=JAN;;	02) month=FEB;;	03) month=MAR;;	04) month=APR;;
05) month=MAY;;	06) month=JUN;;	07) month=JUL;;	08) month=AUG;;
09) month=SEP;;	10) month=OCT;;	11) month=NOV;;	12) month=DEC;;
esac
cat << EOF
Begin3
Title:		sitecopy
Version:	$1
Entered-date:	`date +%d`${month}`date +%y`
Description:	sitecopy is for copying LOCALLY stored websites to REMOTE web 
		servers. The program will upload files to the server which
		have changed locally, and delete files from the server
		which have been removed locally, to keep the remote site
		synchronized with the local site, with a single command.
		sitecopy works with FTP and WebDAV servers.
Keywords:	FTP, www, web, site, management, remote, upload, WebDAV
Author:		joe@orton.demon.co.uk (Joe Orton)
Primary-site:	sunsite.unc.edu /pub/Linux/apps/www/misc/
		${size}kb sitecopy-$1.tar.gz
Platforms:	Linux, FreeBSD (maybe others)
Copying-policy:	GPL
End
EOF
